﻿function saveMobile() {
    var mobile = $("#mobile").val();
    if (!mobile) {
        alert2("手机号码不能为空");
        return;
    }
    if (!isMobile(mobile)) {
        alert2("手机号码不正确");
        return;
    }

    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "json",
        data: {
            "mobile": $("#mobile").val(),
            "username": localStorage.username,
            "token": localStorage.token,
            "action": "saveMobile"
        },
        timeout: 20000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnSave").attr("disabled", true);
        },
        success: function (data, textStatus) {
            $("#btnSave").attr("disabled", false);
            if (data.status == 1) {
                //更新缓存
                localStorage.isBind = 1;
                location.href = "Config.html";
                //alert2("保存成功");
            } else {
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            $("#btnSave").attr("disabled", false);
            if (errorThrown == "timeout") {
                alert2("操作超时，请检查网络是否连接");
            }
        }
    });
}