﻿ArrContacts = window.parent.ArrContacts;//全局联系人变量
ArrGroups = window.parent.ArrGroups; //全局分组变量
ArrGroupList = window.parent.ArrGroupList; //全局联系人分组缓存
var Receive = localStorage.Receive; //得到当前收件人列表，保存到内存中

$(document).ready(function () {
    ArrContacts = window.parent.ArrContacts; //初始化联系人数据

    var objClose = document.getElementsByClassName("spanClose")[0];
    var objClose2 = document.getElementsByClassName("btnTopCancel")[0];
    var objClose3 = document.getElementById("btnClose");

    objClose.onclick = closePage;
    objClose2.onclick = closePage;
    objClose3.onclick = closePage;

    //打开时，显示所有收件人列表
    showReceive();
});

//直接添加收信人
function addReceive() {
    if (ShowType == 1) {
        addReceiveGroup()
    } else {
        addContactsList()
    }
    recUnique();
    refushSendPage(); //刷新上级页面
    closePage();
}

//显示所有收件人
function showReceive() {
    var html = "";
    var arr;
    var li,username, tel, contactId;
    if (Receive) {
        var arrReceive = Receive.split(";");
        for (var i = 0; i < arrReceive.length; i++) {
            if (arrReceive[i]) {
                arr = arrReceive[i].split(",");
                username = arr[0];
                tel = arr[1];
                contactId = arr[2]; //得到联系人id号
                li = '<li><span class="spanCheck"><img src="img/btn_recDel.gif" width="20" height="20" class="btn_recDel" data_username="' + username + '" data_tel="' +
                    tel + '" data_id="' + contactId + '"/></span> <span class="spanUsername">' +
                    username + '</span> <span class="spanTel">' + tel + '</span></li>';
                html += li;
            }
        }
    }
    var obj = document.getElementById("list");
    if (obj) obj.innerHTML = html;
    //绑定删除事件
    var recDels = document.getElementsByClassName("btn_recDel");
    if (recDels) {
        for (var i = 0; i < recDels.length; i++) {
            recDels[i].onclick = delReceive;
        }
    }
}

//清空收件人列表
function clearReceive() {
    Receive = "";
    showReceive();
}

//删除当前收件人
function delReceive() {
    var username, tel, id;
    var rec;
    rec = $(this).attr("data_username") + "," + $(this).attr("data_tel") + "," + $(this).attr("data_id")
    if (rec) {
        Receive = Receive.replace(rec + ";", ""); //如果当前收件人不在字符串尾部
        Receive = Receive.replace(rec, "");  //如果当前收件人在字符串尾部
    }
    showReceive();
}

//保存当前收件人,刷新上级页面，并关闭弹窗
function saveReceive() {
    try {
     localStorage.Receive = Receive;
     refushSendPage();
     closePage();
    } catch (e) { alert(e.message); }
}

//关闭当前页面
function closePage() {
    window.parent.layer.closeAll();
}

//刷新上级页
function refushSendPage() {
    var parent = window.parent;
    if (parent) parent.showReceive();
}